local WalkR
local WalkL
local IdleL
local IdleR
local CF
local activeF
local total 
WalkL = {}
WalkR = {}
IdleL = {}
IdleR = {}
function love.load()
  frameWidth = 80
  frameHeight = 80
  moving = false
  CF = 1
  right = false
  left = false 
  x = 0
  frames = IdleR or IdleL
  total = 6
  Player = love.graphics.newImage("Player.png")
  for frame = 1,8 do
    IdleL[frame] = love.graphics.newQuad((frame-1) * frameWidth, 0, frameWidth, frameHeight, 640, 320)
  end
  for frame = 1,8 do
    IdleR[frame] = love.graphics.newQuad((frame-1) * frameWidth, 80, frameWidth, frameHeight, 640, 320)
  end
  for frame = 1,6 do
    WalkL[frame] = love.graphics.newQuad((frame-1) * frameWidth, 160, frameWidth, frameHeight, 640, 320)
  end
  for frame = 1,6 do
    WalkR[frame] = love.graphics.newQuad((frame-1) * frameWidth, 240, frameWidth, frameHeight, 640, 320)
  end
  activeF = frames[CF]
end
local ETime = 0
function love.update(dt)
  if love.keyboard.isDown("a") then
    x = x - 5
    left = true
    moving = true
    elseif love.keyboard.isDown("d") then
      x = x + 5
      right = true
      moving = true
    else
      moving = false 
      right = false 
      left = false
      total = 6
  end
  if moving == false then
    frames = IdleL or IdleR
  elseif right == true then
    frames = WalkR
    total = 8
    elseif left == true then
      frames = WalkL 
      total = 8
  end

  ETime = ETime + dt
  if ETime > 0.1 then
    CF = CF + 1
      if CF > #frames then
        CF = 1
      end
  activeF = frames[CF]
  ETime = 0
  end
end
function love.draw()
  love.graphics.draw(Player,activeF,x,0,0,2,2)
end